/* body {
        padding-top: 80px;
        padding-bottom: 40px;
        font: 1rem/1.5 var(--font-family-sans-serif);
    } */

body {
  padding-top: 80px;
  padding-bottom: 40px;
  font-size: 10pt;
  font-family: "Nunito Sans", serif;
  font-optical-sizing: auto;
  /* overflow: hidden; */
}

html {
  scroll-behavior: smooth;
}

.obrigatorio {
  content: " *";
  color: red;
}

.central {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%)
}

.logo-principal {
  width: 600px;
  max-width: 100%;
  opacity: 0.1;
  z-index: -99999 !important;
}

.blockDiv {
  position: absolute;
  top: 0px;
  left: 0px;
  background-color: #d3d3d3;
  width: 0px;
  height: 0px;
  z-index: 10;
}

/* #capture {
  background-image: url("../imgs/logo-iegc.png");
  background-repeat: no-repeat;
  background-position: 50% 0;
  background-size: cover;
  z-index: 99999 !important;
} */

#capture .navbar-nav li>a {
  text-transform: capitalize;
  color: #333;
  transition: background-color .2s, color .2s;
}

#capture .navbar-nav li>a:hover {
  background-color: #6610f2;
  /* background-color: #141D90; */
  color: #fff;
}

#capture .navbar-nav li>a:focus {
  background-color: #6610f2;
  color: #fff;
}

#capture .navbar-nav li.active>a {
  background-color: #6610f2;
  color: #fff;
}

.colored-toast.swal2-icon-success {
  background-color: #a5dc86 !important;
}

.colored-toast.swal2-icon-error {
  background-color: #f27474 !important;
}

.colored-toast.swal2-icon-warning {
  background-color: #f8bb86 !important;
}

.colored-toast.swal2-icon-info {
  background-color: #3fc3ee !important;
}

.colored-toast.swal2-icon-question {
  background-color: #87adbd !important;
}

.colored-toast .swal2-title {
  color: white;
}

.colored-toast .swal2-close {
  color: white;
}

.colored-toast .swal2-html-container {
  color: white;
}


/* .btn-primary {
  background-color: #6610f2 !important;
  color: #fff !important;
  border: #fff !important;
}

.btn-success {
  background-color: #009879 !important;
  color: #fff !important;
  border: #fff !important;
}

.btn-dark {
  background-color: #212121 !important;
  color: #fff !important;
  border: #fff !important;
}

.text-primary-a {
  color: #6610f2 !important;
} */

/* .myBackground {
  background-image: url("../imgs/undraw_Educator_re_ju47.png");
  height: 100vh;
  background-repeat: no-repeat;
  opacity: 25;
} */


.topoTabela {
  background: linear-gradient(#141e30, #243b55);
}

.selecao {
  padding: 8px 12px;
  color: #333;
  background-color: #eee;
  border: 1px solid #dddddd;
  cursor: pointer;
  border-radius: 5px;

  /* replace default styleing (arrow) */
  appearance: none;
  -webkit-appearance: none;
  -moz-appearance: none;
}

.selecao:focus,
.selecao:hover {
  outline: none;
  border: 1px solid #bbb;
}

.selecao option {
  background: #fff;

}

.cut-text {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

.custom-tooltip {
  --bs-tooltip-bg: var(--bd-violet-bg);
  --bs-tooltip-color: var(--bs-white);
}

.fixedButton {
  position: fixed;
  bottom: 40px;
  right: 10px;
  padding: 0px;
  z-index: 99999;
}

.roundedFixedBtn {
  height: 50px;
  line-height: 50px;
  width: 50px;
  font-size: 2em;
  font-weight: bold;
  border-radius: 50%;
  background-color: #6610f2;
  color: white;
  text-align: center;
  cursor: pointer;
}

/* .btn-bd-primary {
  --bs-btn-font-weight: 600;
  --bs-btn-color: var(--bs-white);
  --bs-btn-bg: var(--bd-violet-bg);
  --bs-btn-border-color: var(--bd-violet-bg);
  --bs-btn-hover-color: var(--bs-white);
  --bs-btn-hover-bg: #{shade-color($bd-violet, 10%)};
  --bs-btn-hover-border-color: #{shade-color($bd-violet, 10%)};
  --bs-btn-focus-shadow-rgb: var(--bd-violet-rgb);
  --bs-btn-active-color: var(--bs-btn-hover-color);
  --bs-btn-active-bg: #{shade-color($bd-violet, 20%)};
  --bs-btn-active-border-color: #{shade-color($bd-violet, 20%)};
} */

@media print {

  *,
  *::before,
  *::after {
    text-shadow: none !important;
    box-shadow: none !important;
  }

  a:not(.btn) {
    text-decoration: underline;
  }

  abbr[title]::after {
    content: " (" attr(title) ")";
  }

  pre {
    white-space: pre-wrap !important;
  }

  pre,
  blockquote {
    border: 1px solid #adb5bd;
    page-break-inside: avoid;
  }

  tr,
  img {
    page-break-inside: avoid;
  }

  p,
  h2,
  h3 {
    orphans: 3;
    widows: 3;
  }

  h2,
  h3 {
    page-break-after: avoid;
  }

  @page {
    size: a3;
  }

  body {
    min-width: 992px !important;
  }

  .container {
    min-width: 992px !important;
  }

  .badge {
    border: 1px solid #000;
  }

  .table {
    border-collapse: collapse !important;
  }

  .table td,
  .table th {
    background-color: #fff !important;
  }

  .table-bordered th,
  .table-bordered td {
    border: 1px solid #dee2e6 !important;
  }

  .table-dark {
    color: inherit;
  }

  .table-dark th,
  .table-dark td,
  .table-dark thead th,
  .table-dark tbody+tbody {
    border-color: #dee2e6;
  }
}

.btn-100 {
  min-width: 100px !important;
  min-height: 10px !important;
}

.draggable-list {
  border: 1px solid var(--border-color);
  color: var(--text-color);
  padding: 0;
  list-style-type: none;
}

.draggable-list li {
  background-color: #fff;
  display: flex;
  flex: 1;
}

.draggable-list li:not(:last-of-type) {
  border-bottom: 1px solid var(--border-color);
}

.draggable-list .number {
  background-color: var(--background-color);
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 28px;
  height: 60px;
  width: 60px;
}

.draggable-list li.over .draggable {
  background-color: #eaeaea;
}

.draggable-list .person-name {
  margin: 0 20px 0 0;
}

.draggable-list li.right .person-name {
  color: #3ae374;
}

.draggable-list li.wrong .person-name {
  color: #ff3838;
}

.draggable {
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 15px;
  flex: 1;
}

.check-btn {
  background-color: var(--background-color);
  border: none;
  color: var(--text-color);
  font-size: 16px;
  padding: 10px 20px;
  cursor: pointer;
}

.check-btn:active {
  transform: scale(0.98);
}

.check-btn:focus {
  outline: none;
}


/* .form-floating{
  position: relative;
} */

/* .icon {
  position: absolute;
  top: calc(50%);
  left: 1.25rem;
}

.form-floating label, .form-floating .form-control {
  left: .5rem;
  padding-left: 2.5rem;
  
} */

.color-head-tabela {
  background-color: "#FCFCFD"
}

.togglePassword {
  float: right;
  margin-left: -25px;
  margin-top: -27px;
  right: 10px;
  position: relative;
  z-index: 2;
  cursor: zoom-in;
}

.elemento-centralizado {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100vh;
}

.mainThermal {
  max-width: 400px;
  margin: 0 auto;
  display: flex;
  border: 1px solid #ccc;
}

.lineThermal {
  flex: 1;
  margin: 5px;
  background: tomato;
  text-align: center;
  font-size: 1.5em;
  /* calco para descontar a margem da largura do box se aumenta a marge tem que ajustar aqui tb */
}

.avatar {
  font-size: 16px;
  width: 1em;
  height: 1em;
  border-radius: 50%;
  background: #009578;
  display: inline-flex;
  align-items: center;
  justify-content: center;
}

.avatar::after {
  content: attr(data-label);
  font-family: 'Readex Pro', sans-serif;
  color: #ffffff;
}

.msgCentro {
  color: #c7c7c7;
  font-size: 150px;
  text-align: center;
  position: absolute;
  top: 45%;
  width: 99%;
  z-index: 9999999;
  opacity: 0.3;
}

.bg-image {
  background-size: cover;
  /* Garante que a imagem cubra todo o espaço */
  background-position: center;
  /* Centraliza a imagem no container */
  background-repeat: no-repeat;
}

.overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.7);
  /* Fundo escuro semi-transparente */
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  z-index: 9999;
  /* Fica acima de tudo */
  color: white;
  font-family: sans-serif;
}


.custom-thead {
  --bs-table-bg: #66a9bd;
  height: 60px;
}

.custom-thead th {
  color: #fff;
  vertical-align: middle;
  text-transform: uppercase;
  font-weight: bold;
}


.custom-tbody td{
	background:#d5eaf0;
	}